# Cassandra storage config YAML

cluster_name: 'cedb'
initial_token:
hinted_handoff_enabled: false

max_hint_window_in_ms: 10800000 # 3 hours
hinted_handoff_throttle_in_kb: 1024
max_hints_delivery_threads: 2
authenticator: org.apache.cassandra.auth.AllowAllAuthenticator
authorizer: org.apache.cassandra.auth.AllowAllAuthorizer

partitioner: org.apache.cassandra.dht.Murmur3Partitioner
cdc_enabled: false
cdc_raw_directory: target/embeddedCassandra/data/cdc_raw
data_file_directories:
    - target/embeddedCassandra/data

hints_directory:
    - target/embeddedCassandra/hints
commitlog_directory: target/embeddedCassandra/commitlog
disk_failure_policy: stop

key_cache_size_in_mb:
key_cache_save_period: 14400
row_cache_size_in_mb: 0
row_cache_save_period: 0
saved_caches_directory: target/embeddedCassandra/saved_caches
commitlog_sync: periodic
commitlog_sync_period_in_ms: 5000

commitlog_segment_size_in_mb: 8

seed_provider:
    - class_name: org.apache.cassandra.locator.SimpleSeedProvider
      parameters:
          # seeds is actually a comma-delimited list of addresses.
          # Ex: "<ip1>,<ip2>,<ip3>"
          - seeds: "127.0.0.1"

concurrent_reads: 4
concurrent_writes: 4

trickle_fsync: false
trickle_fsync_interval_in_kb: 10240

# TCP port, for commands and data
#storage_port: ${build.cassandra.storage_port}

# SSL port, for encrypted communication.  Unused unless enabled in
# encryption_options
#ssl_storage_port: ${build.cassandra.ssl_storage_port}

listen_address: localhost

start_native_transport: true
# port for the CQL native transport to listen for clients on
#native_transport_port: ${build.cassandra.native_transport_port}

native_transport_port: 9162

start_rpc: true
rpc_address: 127.0.0.1
rpc_port: 9160
rpc_keepalive: true
rpc_server_type: sync

thrift_framed_transport_size_in_mb: 15

thrift_max_message_length_in_mb: 16
incremental_backups: false
snapshot_before_compaction: false
auto_snapshot: false
column_index_size_in_kb: 64
compaction_throughput_mb_per_sec: 16

read_request_timeout_in_ms: 120000
range_request_timeout_in_ms: 120000
write_request_timeout_in_ms: 120000
truncate_request_timeout_in_ms: 120000
request_timeout_in_ms: 120000
cross_node_timeout: false
endpoint_snitch: SimpleSnitch
dynamic_snitch_update_interval_in_ms: 100
dynamic_snitch_reset_interval_in_ms: 600000
dynamic_snitch_badness_threshold: 0.1
request_scheduler: org.apache.cassandra.scheduler.NoScheduler

index_interval: 128

server_encryption_options:
    internode_encryption: none
    keystore: conf/.keystore
    keystore_password: cassandra
    truststore: conf/.truststore
    truststore_password: cassandra

client_encryption_options:
    enabled: false
    keystore: conf/.keystore
    keystore_password: cassandra
internode_compression: none

